Bug 1625843 (CVE-2018-16540) - CVE-2018-16540 ghostscript: use-after-free in copydevice handling (699661)
Summary: CVE-2018-16540 ghostscript: use-after-free in copydevice handling (699661)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16540
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1625844 1625845 1657333 1657334
Blocks: 1619570
TreeView+ depends on / blocked
 
Reported: 2018-09-06 05:24 UTC by Sam Fowler
Modified: 2019-09-29 14:57 UTC (History)
3 users (show)

Fixed In Version: ghostscript 9.24
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that the ghostscript PDF14 compositor did not properly handle the copying of a device. An attacker could possibly exploit this to bypass the -dSAFER protection and crash ghostscript or, possibly, execute arbitrary code in the ghostscript context via a specially crafted PostScript document.
Clone Of:
Environment:
Last Closed: 2019-02-01 14:05:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0229 None None None 2019-01-31 18:19:36 UTC

Description Sam Fowler 2018-09-06 05:24:37 UTC
In Artifex Ghostscript before 9.24, attackers able to supply crafted PostScript files to the builtin PDF14 converter could use a use-after-free in copydevice handling to crash the interpreter or possibly have unspecified other impact.


External Reference:

https://www.kb.cert.org/vuls/id/332928
https://www.artifex.com/news/ghostscript-security-resolved/


Upstream Bug:

https://bugs.ghostscript.com/show_bug.cgi?id=699661


Upstream Patch:

http://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=c432131c

Comment 1 Sam Fowler 2018-09-06 05:25:17 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1625844]

Comment 3 Stefan Cornelius 2018-09-27 08:30:54 UTC
Statement:

This issue affects the versions of ghostscript as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Important, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Red Hat Enterprise Linux 5 is now in Extended Life Phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 6 Cedric Buissart 2018-12-18 12:02:44 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509

Comment 7 errata-xmlrpc 2019-01-31 18:19:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0229 https://access.redhat.com/errata/RHSA-2019:0229


Note You need to log in before you can comment on or make changes to this bug.